#!/usr/bin/perl

use strict;
use warnings;

die "Wrong number of parameters" unless @ARGV > 3;

open(IN, '<', $ARGV[0]) or die "Cannot open infile";
open(OUT, '>', $ARGV[1]) or die "Cannot open outfile";
my $x_shift = $ARGV[2];
my $y_shift = $ARGV[3];

DO_SHIFT: while (<IN>) {
    chomp;

    # copy comments and empty lines
    if (m{^(#|$)}o) {
        print OUT "$_\n";
        next DO_SHIFT;
    }

    # split values {{{
    my ($x, $y, $rest) = m{
        # coords
        ^\s*([0-9]+), \s*([0-9]+), \s*
        # rest
        (.*)$
    }ox; # }}}

    $x += $x_shift;
    $y += $y_shift;
    printf OUT "%4d, %4d, %-s\n", $x, $y, $rest;
}
close(IN);
close(OUT);

